Contact
curl --request POST \
--url https://api.birdeye.com/resources/v2/customer/list \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
'import requests
url = "https://api.birdeye.com/resources/v2/customer/list"
payload = {
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '07/01/2019', endDate: '07/19/2019'})
};
fetch('https://api.birdeye.com/resources/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.birdeye.com/resources/v2/customer/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '07/01/2019',
'endDate' => '07/19/2019'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.birdeye.com/resources/v2/customer/list"
payload := strings.NewReader("{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.birdeye.com/resources/v2/customer/list")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.birdeye.com/resources/v2/customer/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}"
response = http.request(request)
puts response.read_body{
"page": 0,
"size": 25,
"totalPages": 68,
"totalCount": 1679,
"customers": [
{
"customerId": 12345,
"name": "Dummy1",
"email": "sam@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
},
{
"customerId": 54321,
"name": "Summy2",
"email": "samuel@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
}
]
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact
Contacts list
Contact list API fetches contact list for a business.
POST
/
v2
/
customer
/
list
Contact
curl --request POST \
--url https://api.birdeye.com/resources/v2/customer/list \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
'import requests
url = "https://api.birdeye.com/resources/v2/customer/list"
payload = {
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '07/01/2019', endDate: '07/19/2019'})
};
fetch('https://api.birdeye.com/resources/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.birdeye.com/resources/v2/customer/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '07/01/2019',
'endDate' => '07/19/2019'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.birdeye.com/resources/v2/customer/list"
payload := strings.NewReader("{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.birdeye.com/resources/v2/customer/list")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.birdeye.com/resources/v2/customer/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"07/01/2019\",\n \"endDate\": \"07/19/2019\"\n}"
response = http.request(request)
puts response.read_body{
"page": 0,
"size": 25,
"totalPages": 68,
"totalCount": 1679,
"customers": [
{
"customerId": 12345,
"name": "Dummy1",
"email": "sam@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
},
{
"customerId": 54321,
"name": "Summy2",
"email": "samuel@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
}
]
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
The page number.
Maximum number of contacts return in response.
The sorting order of the list.
Body
application/json